{smcl}
{* *! version 1.2.1  25january2017}{...}
{findalias asfradohelp}{...}
{vieweralsosee "" "--"}{...}
{vieweralsosee "[R] help" "help help"}{...}
{viewerjumpto "Syntax" "eqreg##syntax"}{...}
{viewerjumpto "Description" "eqreg##description"}{...}
{viewerjumpto "Options" "eqreg##options"}{...}
{viewerjumpto "Remarks" "eqreg##remarks"}{...}
{viewerjumpto "Examples" "eqreg##examples"}{...}/Users/apm16/Dropbox/Stata_Journal_Eqregsel/dmz_eqregsel_Stata_code/final_code
{title:Title}

{phang}
{bf:eqregsel} {hline 5} Estimation Method for Sample Selection Models based on Extremal Quantile Regressions

{marker syntax}{...}
{title:Syntax}

{p 8 17 2}
{cmdab:eqregsel:}
[{varlist}]
[{cmd:,} {it:options}]

{synoptset 20 tabbed}{...}
{synopthdr}
{synoptline}
{syntab:Options}
{synopt:{opt hom(#)}}Estimates the coefficients of the first # independent variables; 
		default is hom(1){p_end}
{synopt:{opt subs(#)}}Subsample size used for selecting quantile index (tau); 
		default is computed as a function of the size of the dataset {p_end}
{synopt:{opt grid(#)}}Discretize the interval of tau into # subintervals;  
		default is grid(40){p_end}
{synopt:{opt rep(#)}}Perform # bootstrap and subsampling replications; default is rep(150);{p_end}
{synoptline}
{p2colreset}{...}


{marker description}{...}
{title:Description}

{pstd}
{cmd:eqregsel} estimates and provides inference for a semiparametric sample selection model.
This estimation method, which is based on quantile regressions in the tails of the 
outcome (extremal quantile regression), can be used in the absence of an instrument 
or a large support regressor. The estimation and inference methods are based on the paper 
``Extremal Quantile Regressions for Selection Models and the Black-White Wage Gap'' 
by D'Haultfoeuille, X., Maurel, A., & Zhang, Y. (DMZ, 2018). 
The variables of interest are assumed to have homogeneous effects on the outcome across its 
distribution. 

{title:Options}

{pstd}
hom(#) specifies that the first # variables after the dependent variable have homogeneous effects on the outcome across its distribution. 
The code then returns their estimated effects and standard errors. The default value is 1.{p_end}

{pstd}
subs(#) specifies the subsample size used when selecting the quantile index tau following the data-driven procedure proposed in DMZ (2018). 
The quantile index tau is computed as the minimizer of a criterion that captures the tradeoff between bias and variance. 
This criterion is computed with a subsample, whose size is specified by subs(). If no value (or a negative value) is specified, the subsample size is calculated using the formula 
given in Section 3.1 in DMZ (2018).{p_end} 

{pstd}
grid(#) specifies the number of (equally spaced) grid points in the admissible interval for searching for the quantile index tau. The upper and lower bound of the admissible interval
are 0.3 and min( 0.1, 80/b_n) , respectively, where b_n is specified by subs(). The default value is 40.{p_end} 
 
{pstd}
rep(#) specifies the number of bootstrap and subsampling replications. Subsampling is used when selecting tau,
while bootstrap is used to compute the standard errors of the estimators. The default value is 150.{p_end} 

{title:Saved results}

{phang}{cmd:eqregsel} saves the following results in {cmd:e()}:

{phang}Scalars{p_end}
{col 10}{cmd:e(tau0)}{col 32}Quantile index
{col 10}{cmd:e(specificationtest)}{col 32}P-Value of the specification test
{col 10}{cmd:e(subs)}{col 32}Subsample size when selecting the quantile index
{col 10}{cmd:e(homvar)}{col 32}Number of variable(s) with homogeneous effect(s) on the outcome


{phang}Matrices{p_end}
{col 10}{cmd:e(beta_hom)}{col 32}Estimated coefficient(s) of interest
{col 10}{cmd:e(std_b)}{col 32}Standard error of the estimator(s)

{marker examples}{...}
{title:Examples}

{phang}{cmd:. use bw_nlsy7997, clear} {space 13}{p_end}
{phang}{cmd:. keep if cohort79==1} {space 13}{p_end}
{phang}{cmd:. gen afqt2=afqt^2} {space 13}{p_end}

{phang}{cmd:. eqregsel log_wage black hispanic age afqt afqt2} {space 13} (black is the only variable of interest){p_end}

{phang}{cmd:. eqregsel log_wage black hispanic age afqt afqt2, hom(2)} {space 5} (black and Hispanic are the variables of interest){p_end}

{phang}{cmd:. eqregsel log_wage black hispanic age afqt afqt2, rep(500)} (black is the only variable of interest; 500 bootstrap and subsampling replications are computed.) {p_end}

{title:Version requirements}

{p 4 4 2}This command requires Stata 13.1 or a more recent version.


{title:Methods and Formulas}

{p 4 6} See Xavier D'Haultfoeuille, Arnaud Maurel, Yichong Zhang (2018), Extremal Quantile Regression for Selection Models and the Black-White Wage Gap, {it:Journal of Econometrics} 203 (1): 129 - 142.

{title:Supporting Package}

{p 4 4 2}This command requires -moremata- package. Before calling this 
command, please intall -moremata- by typing

{phang}{cmd:. ssc install moremata}{p_end}
